DefaultMimeUtility (Grails 6.0.0)

Package: org.grails.web.mime

## [Java] Class DefaultMimeUtility

- org.grails.web.mime.DefaultMimeUtility

- All Implemented Interfaces and Traits:
    MimeUtility

      public class DefaultMimeUtility
      extends java.lang.Object
      implements MimeUtility

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, MimeType>` | `extensionToMimeMap` |
    `private java.util.List<MimeType>` | `mimeTypes` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultMimeUtility (MimeType[] mimeTypes)`
    `DefaultMimeUtility (java.util.List<MimeType> mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List<MimeType>` | `getKnownMimeTypes()` {@inheritDoc}
    `` | `public MimeType` | `getMimeTypeForExtension(java.lang.String extension)` {@inheritDoc}
    `` | `public MimeType` | `getMimeTypeForURI(java.lang.String uri)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, MimeType> extensionToMimeMap

    - #### private java.util.List<MimeType> mimeTypes

  - ### Constructor Detail

    - #### public DefaultMimeUtility(MimeType[] mimeTypes)

    - #### public DefaultMimeUtility(java.util.List<MimeType> mimeTypes)

  - ### Method Detail

    - #### public java.util.List<MimeType> getKnownMimeTypes()

      {@inheritDoc}

    - #### public MimeType getMimeTypeForExtension(java.lang.String extension)

      {@inheritDoc}

    - #### public MimeType getMimeTypeForURI(java.lang.String uri)